Bug 256990 - security/pkcs11-tools: Update to 2.3.1
Summary: security/pkcs11-tools: Update to 2.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://github.com/Mastercard/pkcs11-...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-05 12:06 UTC by Eric Devolder
Modified: 2021-07-09 14:58 UTC (History)
2 users (show)

See Also:


Attachments
patch to upgrade to 2.3.1 (372 bytes, patch)
2021-07-05 12:06 UTC, Eric Devolder
no flags Details | Diff
patch to upgrade to 2.3.1 (containing distinfo) (1.22 KB, patch)
2021-07-09 11:14 UTC, Eric Devolder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Devolder 2021-07-05 12:06:25 UTC
Created attachment 226236 [details]
patch to upgrade to 2.3.1

Please find attached updated port files, to align with the latest version of pkcs11-tools.
Comment 1 Nuno Teixeira freebsd_committer 2021-07-07 09:29:10 UTC
Hello,

Patch needs a new disinfo since source is different. You can remove distinfo and create a new one with 'make makesum'. When this done you can upload diff.
Comment 2 Nuno Teixeira freebsd_committer 2021-07-07 09:33:44 UTC
and when updating a port, include a changelog link when possible in URL field like I did as an example.
Comment 3 Eric Devolder 2021-07-09 11:14:34 UTC
Created attachment 226322 [details]
patch to upgrade to 2.3.1 (containing distinfo)

Re-sending patch, this time with distinfo changes.
Comment 4 Eric Devolder 2021-07-09 11:15:55 UTC
(In reply to Nuno Teixeira from comment #1)

Hi Nuno, I was unsure about the distinfo part. I'll proceed this way onwards, thanks for the direction.
Comment 5 Eric Devolder 2021-07-09 11:16:24 UTC
(In reply to Nuno Teixeira from comment #2)

Sure thing, will do for future patches.
Thanks,
Comment 6 commit-hook freebsd_committer 2021-07-09 14:47:51 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b35a59ce21196b6fb3a3b969d884920f22bf9505

commit b35a59ce21196b6fb3a3b969d884920f22bf9505
Author:     Eric Devolder <eric.devolder@gmail.com>
AuthorDate: 2021-07-09 14:43:44 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-07-09 14:43:44 +0000

    security/pkcs11-tools: Update to 2.3.1

     * reformat Makefile with portfmt

    ChangeLog: https://github.com/Mastercard/pkcs11-tools/blob/v2.3.1/CHANGELOG.md

    PR:             256990

 security/pkcs11-tools/Makefile | 13 +++++++------
 security/pkcs11-tools/distinfo |  6 +++---
 2 files changed, 10 insertions(+), 9 deletions(-)
Comment 7 Nuno Teixeira freebsd_committer 2021-07-09 14:58:33 UTC
Committed thanks!